# GetPayments

Use this method to retrieve either one or many payments for invoices and credit notes.

### Properties <a href="#properties" id="properties"></a>

**Authentication**

Authentication values used to connect to the Xero server.

**Payment id**

You can retrieve an individual record by specifying the PaymentID.

**Modified after**

A UTC timestamp (yyyy-mm-ddThh:mm:ss) . Only records created or modified since this timestamp will be returned e.g. 2009-11-12T00:00:00.

**Where**

Restrict the returned items using the specified criteria. See Where filter.

**Order by**

Return items in a specific order. See Order by filter.

**Return options**

Select how the data is to be returned.

Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

### Output <a href="#output" id="output"></a>

**Return type of Payments**

A list of payments or a single payment depending on the selected *Return option* (see above).

### Links <a href="#links" id="links"></a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/payments/getpayments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
